import type { SkeletonAnimation } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    animation: {
        type: null;
        required: false;
        default: string;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
}, {
    BTableSimple: import("vue").DefineComponent<{
        bordered: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        borderless: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        dark: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hover: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (BooleanConstructor | StringConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (BooleanConstructor | StringConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        small: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        tableVariant: {
            type: StringConstructor;
            required: false;
        };
    }, {
        props: {
            bordered: boolean;
            borderless: boolean;
            borderVariant?: import("../../types/ColorVariant").default | undefined;
            captionTop: boolean;
            dark: boolean;
            hover: boolean;
            responsive: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            stacked: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            striped: boolean;
            small: boolean;
            tableClass?: string | unknown[] | Record<string, unknown> | undefined;
            tableVariant?: string | undefined;
        };
        classes: import("vue").ComputedRef<(string | unknown[] | Record<string, unknown> | undefined)[]>;
        responsiveClasses: import("vue").ComputedRef<{
            [x: string]: boolean;
            'table-responsive': boolean;
        }[]>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        bordered: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        borderless: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        dark: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hover: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (BooleanConstructor | StringConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (BooleanConstructor | StringConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        small: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        tableVariant: {
            type: StringConstructor;
            required: false;
        };
    }>>, {
        small: boolean;
        dark: boolean;
        stacked: string | boolean;
        hover: boolean;
        striped: boolean;
        bordered: boolean;
        borderless: boolean;
        captionTop: boolean;
        responsive: string | boolean;
    }>;
    BSkeleton: import("vue").DefineComponent<{
        height: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: null;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }, {
        props: {
            height?: string | undefined;
            width?: string | undefined;
            size?: string | undefined;
            animation: SkeletonAnimation;
            type: import("../../types/SkeletonType").default;
            variant?: import("../../types/ColorVariant").default | undefined;
        };
        classes: import("vue").ComputedRef<(string | {
            [x: string]: "fade" | import("../../types/ColorVariant").default | "wave" | "throb" | undefined;
        })[]>;
        style: import("vue").ComputedRef<import("vue").StyleValue>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        height: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: null;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }>>, {
        type: any;
        animation: any;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    animation: {
        type: null;
        required: false;
        default: string;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
}>>, {
    animation: any;
    columns: number;
    rows: number;
    hideHeader: boolean;
    showFooter: boolean;
}>;
export default _sfc_main;
